return {
  'L3MON4D3/LuaSnip',
  config = function()
    require('luasnip.loaders.from_vscode').lazy_load()
    require('luasnip.loaders.from_snipmate').lazy_load()
  end,
  dependencies = {
    'rafamadriz/friendly-snippets'
  },
  keys = {
    {
      '<tab>',
      function()
        return require('luasnip').jumpable(1) and '<Plug>luasnip-jump-next' or '<tab>'
      end,
      expr = true, remap = true, silent = true, mode = 'i',
    },
    { '<tab>',   function() require('luasnip').jump(1) end,   mode = 's' },
    { '<s-tab>', function() require('luasnip').jump( -1) end, mode = { 'i', 's' } },
    -- { '<C-E>',
    --   function() return require('luasnip').choice_active() and '<Plug>luasnip-next-choice' or '<C-E>' end,
    --   mode = 'i', remap = true, expr = true,
    -- },
  },
}
